Bug 240270 - RHEL5 hangs when installed on AMD Sempron 3000+
Summary: RHEL5 hangs when installed on AMD Sempron 3000+
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.0
Hardware: x86_64
OS: Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Prarit Bhargava
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
: 240271 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-16 06:25 UTC by andywang
Modified: 2008-03-10 14:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 14:00:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description andywang 2007-05-16 06:25:42 UTC
Description of problem:
when we use “init 5” on Intel X86_64 platform, the system will hang.

Version-Release number of selected component (if applicable):
RHEL5 

How reproducible:


Steps to Reproduce:
1.       Install RHEL5 with SN on Intel X86_64.

2.       After install the kernel is Xen and the system is ok.

3.       We install the Kernel-2.6.18-8*.el5 rpm.

4.       Reboot system

5.       When system is starting, we find the system hang.  

  
Actual results:


Expected results:
 We hope to get the root cause about the issue.and when the system hang,could 
you tell us how to debug the issue.Thanks.

Additional info:
 We’ve just tested one AMD machine and all is normal on that machine:  all 3 
non-xen kernel successfully started in init 5.

 

            The machine information:

 

IP
 CPU
 Mem
 Arch
 Kernel-2.6.18-8.el5
 Kernel-2.6.18-8.1.1.el5
 Kernel-2.6.18-8.1.3.el5
 
188
 AMD Sempron(tm) Processor 3000+

(single cpu, no dual core)
  1G
 x86_64
    Successfully  booted into init 5”
 Successfully  booted into init 5”
 Successfully  booted into init 5”
 
but when we use the Intel platform,the reports is the following.
        For all non-xen kernels, RHEL5 Server (x86_64) will hang when booting 
into init 5, on some of our test machines.
 
IP	CPU	Mem	Arch	Kernel-2.6.18-8.el5	Kernel-2.6.18-8.1.1.el5
	Kernel-2.6.18-8.1.3.el5
3	Intel (R) Pentium(R) 4 CPU 3.00GHz
Dual core (ht)	 1G	x86_64	   hangs when booting into init 5”	  hangs 
when booting into init 5”	  hangs when booting into init 5”
189	Intel (R) Pentium(R) D CPU 3.00GHz
Dual core (ht)	1G	x86_64	    hangs when booting into init 5”	  hangs 
when booting into init 5”	  hangs when booting into init 5”
 196	Intel (R) Pentium(R) 4 CPU 3.00GHz
Dual core (ht)	1G	x86_64	   hangs when booting into init 5”	  hangs 
when booting into init 5”	  hangs when booting into init 5”

Comment 1 Peter Martuccelli 2007-08-10 17:27:55 UTC
*** Bug 240271 has been marked as a duplicate of this bug. ***

Comment 2 Prarit Bhargava 2007-08-13 15:32:01 UTC
Andy,

Here are a couple of things to try:

1.  Could you try to boot with maxcpus=1 ?
2.  Could you provide a snapshot of what is on the console at the time of the hang?
3.  You mention that this happens during the system install?  Could you press
ALT-F3 or ALT-F4 and send us what is on the screen?

Thanks,

P.


Note You need to log in before you can comment on or make changes to this bug.